バージョン選択

フォーラム

メニュー

オンライン状況

88 人のユーザが現在オンラインです。 (63 人のユーザが フォーラム を参照しています。)
登録ユーザ: 1
ゲスト: 87
daugoisw もっと...

サイト内検索

質問 > その他 > EC-Cube2.17のインストール画面でwarningが大量に発生する

その他

新規スレッドを追加する

スレッド表示 | 新しいものから 前のトピック | 次のトピック | 下へ
投稿者 スレッド
hiroppi999
投稿日時: 2019/12/1 22:08
対応状況: −−−
新米
登録日: 2019/12/1
居住地:
投稿: 1
EC-Cube2.17のインストール画面でwarningが大量に発生する
はじめまして。ひろっぴと申します。
EC-Cube2.17をインストールできないので
お助けを願いたく投稿しております。
よろしくお願いいたします。



▼テンプレート
[EC-CUBE]新規インストール
[OS] Windows10
[PHP] 7.3.10
[データベース] Postgres12
[WEBサーバ] Apache2.4
[ブラウザ] Chrome
[現象]
Windows10上のXamppにてEC-Cube2.17をインストールしようと
したところ、インストール画面は表示されたのですが、下記のような

Warning: Use of undefined constant HTTP_URL - assumed 'HTTP_URL' (this will throw an Error in a future version of PHP) in C:\xampp\htdocs\ec-cube2\data\cache\mtb_constants.php on line 11

定数の未定義ワーニングが大量に発生されます。
下記のスレッドと同じ現象です。

https://xoops.ec-cube.net/modules/newbb/viewtopic.php?viewmode=thread&topic_id=22917&forum=2&post_id=95036#forumpost95036

このスレッドでは、EC-Cube2.17にすれば、解決するはずだという解答がついているのですが、私の環境では解決しておりません。
nanasess
投稿日時: 2019/12/2 11:47
対応状況: −−−
登録日: 2006/9/9
居住地: 宝塚
投稿: 2015
Re: EC-Cube2.17のインストール画面でwarningが大量に発生する
こちらの修正で治ると思います
https://github.com/EC-CUBE/ec-cube2/pull/329/files

2.17.0 リリース後も細かな修正を継続していますので、可能であれば git clone でインストールしていただくのがおすすめです
https://github.com/EC-CUBE/ec-cube2#コマンドラインからインストールする


----------------
大河内健太郎(Kentaro Ohkouchi)
EC-CUBE公式エバンジェリスト
スキルニル株式会社

EC-CUBE1系2系長期サポートホスティングサービス CUBE Lab
https://cubelab.info/

スレッド表示 | 新しいものから 前のトピック | 次のトピック | トップ


 



ログイン


EC-CUBEペイメント

公式ストアEC-CUBE4系デザインテンプレート続々リリース中

統計情報

総メンバー数は54,400名です
総投稿数は94,215件です

投稿数ランキング

1
seasoft
7332
2
AMUAMU
2712
3
nanasess
2015
4
468
1918
5
yuh
1610
6
umebius
1414
7
red
1376
8
h_tanaka
940
9
fukap
907
10
tsuji
856
11
shutta
835
12 ramrun 789
13
tao_s
781
14 karin 656
15 sumida 641
16
homan
633
17 DELIGHT 571
18
patapata
502
19
flealog
483
20 tonton 437


ネットショップの壺

EC-CUBEインテグレートパートナー

Copyright© EC-CUBE CO.,LTD. All Rights Reserved.